Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  DOTS-Schraffuren auf SOLID ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   DOTS-Schraffuren auf SOLID ändern (551 mal gelesen)
Peter2
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Peter2 an!   Senden Sie eine Private Message an Peter2  Schreiben Sie einen Gästebucheintrag für Peter2

Beiträge: 3440
Registriert: 15.10.2003

Win 10/64 Pro
AutoCAD MAP 3D 2018

erstellt am: 30. Sep. 2009 19:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Abend

ich muss automatisch bestehende Schraffuren aus DOT in SOLID umwandeln. Ein Blick auf die Gruppencodes zeigt doch massive Strukturunterschiede.

Gibt es hier eine einfache Lösung oder wird das aufwendiger ...?

Peter

------------------
Für jedes Problem gibt es eine einfache Lösung.
Die ist aber meistens falsch. ;-)

[Diese Nachricht wurde von Peter2 am 30. Sep. 2009 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9587
Registriert: 01.12.2003

One AutoCAD 2.5 - 2021, Civil 3D, Win10

erstellt am: 30. Sep. 2009 20:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

Eine einfache Lösung (mit Command) gibts fast immer.

Code:
(defun C:modhatch ( / hatchobj)
  (Prompt "\nUmwandlung des Schraffurmusters zu SOLID")
  (setq hatchobj (car (entsel "\Scharffurobjekt wählen:")))
  (if (and (= "HATCH" (cdr (assoc 0 (entget hatchobj)))))
    (command "_-hatchedit" hatchobj "_prop" "Solid")
  )

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Peter2
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Peter2 an!   Senden Sie eine Private Message an Peter2  Schreiben Sie einen Gästebucheintrag für Peter2

Beiträge: 3440
Registriert: 15.10.2003

Win 10/64 Pro
AutoCAD MAP 3D 2018

erstellt am: 30. Sep. 2009 20:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von CAD-Huebner:
...(command "_-hatchedit" hatchobj "_prop" "Solid")...

Oops - da ist mir wieder ein Standard entgangen (hätte ich mit Doppelklick auch finden können  )

Besten Dank und guten Abend 

Peter

------------------
Für jedes Problem gibt es eine einfache Lösung.
Die ist aber meistens falsch. ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 01. Okt. 2009 09:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

Hi Peter,
mal nen Versuch ohne command

  (setq hatch (vlax-ename->vla-object (car (entsel "\nHatch:"))))
  (vla-SetPattern hatch acHatchPatternTypePreDefined "SOLID")

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."   (www.uni-leipzig.de/~rotheh/elefant.htm)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9587
Registriert: 01.12.2003

One AutoCAD 2.5 - 2021, Civil 3D, Win10

erstellt am: 03. Sep. 2020 19:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

Ich bin heute per PM gefragt worden, ob man das makro auch noch mit einem anschließenden Farbwechsel verbinden kann.
Klar kann man :=)

Code:
; CAD-Huebner - 03.09.2020
; kleine Erweiterung für den Farbwechsel mit EIGÄNDR / _CHPROP
(defun C:modhatch ( / hatchobj)
  (Prompt "\nUmwandlung des Schraffurmusters zu SOLID mit TrueColor weiß")
  (setq hatchobj (car (entsel "\nSchraffurobjekt wählen:")))
  (if (and (= "HATCH" (cdr (assoc 0 (entget hatchobj)))))
    (progn
      (command "_-hatchedit" hatchobj "_prop" "Solid")
      (command "_chprop" hatchobj "" "_color" "_Truecolor" "255,255,255" "")
    )
  )


------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hämmy
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Hämmy an!   Senden Sie eine Private Message an Hämmy  Schreiben Sie einen Gästebucheintrag für Hämmy

Beiträge: 21
Registriert: 01.04.2020

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

erstellt am: 09. Sep. 2020 07:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

@CAD-Huebner,

danke für diese Erweiterung, diese erleichtert mir die Arbeit um einiges 

@all,

ich war der, welcher per PN angefragt hatte 

Gruß Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz